var cosha = function (ref) {
  if ( ref === void 0 ) ref = {};
  var className = ref.className; if ( className === void 0 ) className = 'cosha';
  var blur = ref.blur; if ( blur === void 0 ) blur = '5px';
  var brightness = ref.brightness; if ( brightness === void 0 ) brightness = 1;
  var saturation = ref.saturation; if ( saturation === void 0 ) saturation = 1;
  var x = ref.x; if ( x === void 0 ) x = 0;
  var y = ref.y; if ( y === void 0 ) y = 0;

  if (!('-ms-filter' in document.body.style)) {
    var images = document.querySelectorAll(("." + className));
    var styles = document.createElement('style');

    styles.textContent = "\n      ." + className + "-wrapper {\n        position: relative;\n        display: inline-flex;\n        align-items: center;\n        justify-content: center;\n      }\n\n      ." + className + "-clone {\n        filter: blur(" + blur + ") brightness(" + brightness + ") saturate(" + saturation + ");\n        position: absolute;\n        width: 100%;\n        z-index: -1;\n        transform: translate3d(" + x + ", " + y + ", 0);\n      }\n    ";
    document.head.append(styles);

    images.forEach(function (image) {
      var clone = image.cloneNode(true);
      var wrapper = document.createElement('div');

      wrapper.classList.add((className + "-wrapper"));
      clone.classList.add((className + "-clone"));
      clone.classList.remove(className);

      image.replaceWith(wrapper);
      wrapper.append(image, clone);
      wrapper.querySelectorAll('img')[1].alt = '';
    });
  }
};

export default cosha;
//# sourceMappingURL=cosha.esm.js.map
